Bug 787362 - [abrt] libreoffice-calc-3.3.4.1-2.fc15: Process /usr/lib/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-calc-3.3.4.1-2.fc15: Process /usr/lib/libreoffice/program/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:c4601d9e459285645ccb1891be8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-04 06:53 EST by wainy.163
Modified: 2012-02-28 10:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 10:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (31.36 KB, text/plain)
2012-02-04 06:53 EST, wainy.163
no flags Details
File: dso_list (20.52 KB, text/plain)
2012-02-04 06:53 EST, wainy.163
no flags Details
File: maps (45.74 KB, text/plain)
2012-02-04 06:53 EST, wainy.163
no flags Details

  None (edit)
Description wainy.163 2012-02-04 06:53:08 EST
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/scalc.bin -calc file:///home/fascl/%E6%96%87%E6%A1%A3/%E5%B9%B4%E7%BB%88%E8%B4%A2%E5%8A%A1.ods
comment:        opened a .ods file, and then writen a comment. 
component:      libreoffice
crash_function: SfxBroadcaster::Broadcast(SfxHint const&)
executable:     /usr/lib/libreoffice/program/scalc.bin
kernel:         2.6.41.10-3.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-calc-3.3.4.1-2.fc15
reason:         Process /usr/lib/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
time:           Sat Feb  4 19:45:12 2012
uid:            500
username:       fascl

backtrace:      Text file, 32110 bytes
dso_list:       Text file, 21013 bytes
maps:           Text file, 46840 bytes

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-fascl
:XDG_SESSION_ID=1
:HOSTNAME=pc2939
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=1864
:GPG_AGENT_INFO=/tmp/keyring-1PVZSC/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-1850-pc2939-libreoffice-0_TIME159456
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2c113894b0604af6890f0ee50000000c-1328354916.679257-65701889
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-1PVZSC
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=IBus
:USER=fascl
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386
:SSH_AUTH_SOCK=/tmp/keyring-1PVZSC/ssh
:USERNAME=fascl
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1261,unix/unix:/tmp/.ICE-unix/1261
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-calc.desktop
:MAIL=/var/spool/mail/fascl
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/fascl/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/fascl
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1253
:LANG=zh_CN.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/fascl
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=fascl
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-v7VvzwxUtL,guid=6beb6f73086981f234b22b720000005a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/fascl
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-fascl-WJdEI7/database
:_=/usr/lib/libreoffice/program/scalc.bin

var_log_messages:
:Feb  4 19:45:12 pc2939 kernel: [ 1086.096174] scalc.bin[1876]: segfault at 27d80000 ip 425bb09f sp bfd3934c error 4 in libsvlli.so[424f8000+117000]
:Feb  4 19:45:14 pc2939 abrt[1945]: saved core dump of pid 1876 (/usr/lib/libreoffice/program/scalc.bin) to /var/spool/abrt/ccpp-2012-02-04-19:45:12-1876.new/coredump (108560384 bytes)
Comment 1 wainy.163 2012-02-04 06:53:12 EST
Created attachment 559412 [details]
File: backtrace
Comment 2 wainy.163 2012-02-04 06:53:15 EST
Created attachment 559413 [details]
File: dso_list
Comment 3 wainy.163 2012-02-04 06:53:18 EST
Created attachment 559414 [details]
File: maps
Comment 4 Eike Rathke 2012-02-06 11:35:29 EST
@wainy.163: is this reproducible? Or was it a one-time incidence?
(looks like an attempt to broadcast to an invalid/gone listener)
Comment 5 Caolan McNamara 2012-02-28 10:12:00 EST
unfortunately the backtrace is all mangled :-( abrt should be able to do a better job than that, so can't figure it out from it. Feel free to reopen this bug if you know how to reproduce this crash.

Note You need to log in before you can comment on or make changes to this bug.